Trouble compiling DBI Module

Trouble compiling DBI Module

Post by jayanth.v » Thu, 31 Mar 2005 18:05:47


Hello,
I am trying to compile the DBI Module (ver 1.48 downloaded from CPAN)
onto my Solaris 5.8 system.

I am following the steps as follows...
1). Perl Makefile.PL (No errors here)
2). make
After a few cp's I get this error...

==========================
/usr/local/ActivePerl-5.6/bin/perl -p -e "s/~DRIVER~/Perl/g"
./Driver.xst > Perl.xsi
/usr/local/ActivePerl-5.6/bin/perl
-I/usr/local/ActivePerl-5.6/lib/5.6.1/sun4-solaris-thread-multi
-I/usr/local/ActivePerl-5.6/lib/5.6.1
/usr/local/ActivePerl-5.6/lib/5.6.1/ExtUtils/xsubpp -typemap
/usr/local/ActivePerl-5.6/lib/5.6.1/ExtUtils/typemap -typemap typemap
Perl.xs > Perl.xsc && mv Perl.xsc Perl.c
gcc -c -DUSE_REENTRANT_API -D_POSIX_PTHREAD_SEMANTICS -D_REENTRANT
-fno-strict-aliasing -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64 -O
-DVERSION=\"1.48\" -DXS_VERSION=\"1.48\" -fPIC
-I/usr/local/ActivePerl-5.6/lib/5.6.1/sun4-solaris-thread-multi/CORE
-Wall -Wno-comment Perl.c
cc1: Invalid option `-fno-strict-aliasing'
dbipport.h:529: warning: `my_sv_2pvbyte' defined but not used
*** Error code 1
make: Fatal error: Command failed for target `Perl.o'
===========================

Even though the readme file says that such warnings can be ignored, the
"make" does not seem to complete successfully. Could somebody guide me
as to what the problem could be?

Tools used
===========
1). Activestate Perl 5.6.1 build 638 for Solaris
2). Solaris 5.8 OS
3). "make" from '/usr/ccs/bin/make'

Thanks,
Jayanth
~~~~~